package io.accumulatenetwork.sdk.generated.protocol;

/**
    GENERATED BY go run ./tools/cmd/gen-api. DO NOT EDIT.
**/

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonTypeName;
import io.accumulatenetwork.sdk.protocol.Marshallable;
import io.accumulatenetwork.sdk.protocol.TransactionBody;
import io.accumulatenetwork.sdk.support.Marshaller;
// UnionType: 
// UnionValue: 

@JsonIgnoreProperties(ignoreUnknown = true)
@JsonTypeName("NetworkAccountUpdate")
@JsonInclude(JsonInclude.Include.NON_NULL)
public class NetworkAccountUpdate implements Marshallable {
	private String name;
	private TransactionBody body;

    //
	public String getName() {
	    return name;
	}
	public void setName(final String value) {
	    this.name = value;
	}

	public NetworkAccountUpdate name(final String value) {
	    setName(value);
	    return this;
	}
	public TransactionBody getBody() {
	    return body;
	}
	public void setBody(final TransactionBody value) {
	    this.body = value;
	}

	public NetworkAccountUpdate body(final TransactionBody value) {
	    setBody(value);
	    return this;
	}
    public byte[] marshalBinary() {
        final var marshaller = new Marshaller();
        if (!(this.name == null || this.name.length() == 0)) {
            marshaller.writeString(1, this.name);
        }
        if (!(this.body == null)) {
            marshaller.writeValue(2, body);
        }
        return marshaller.array();
    }
}
